{% filter b64encode %}
BRAND_NAME = Gogs
RUN_USER   = git
RUN_MODE   = prod

[database]
TYPE     = mysql
HOST     = {{ '.configured_by::.targets::db::host' | eval }}:{{ '.configured_by::.targets::db::port' | eval }}
NAME     = gogs
SCHEMA   = public
USER     = root
PASSWORD = redhat
SSL_MODE = disable
PATH     = /app/gogs/data/gogs.db

[repository]
ROOT = /data/git/gogs-repositories

[server]
DOMAIN           = {{ ".targets::host::public_dns" | eval }}
HTTP_PORT        = 3000
EXTERNAL_URL     = %(PROTOCOL)s://%(DOMAIN)s
PROTOCOL         = https
DISABLE_SSH      = false
SSH_PORT         = 22
START_SSH_SERVER = false
OFFLINE_MODE     = false

[mailer]
ENABLED = false

[auth]
REQUIRE_EMAIL_CONFIRMATION  = false
DISABLE_REGISTRATION        = false
ENABLE_REGISTRATION_CAPTCHA = true
REQUIRE_SIGNIN_VIEW         = false

[user]
ENABLE_EMAIL_NOTIFICATION = false

[picture]
DISABLE_GRAVATAR        = false
ENABLE_FEDERATED_AVATAR = false

[session]
PROVIDER = file

[log]
MODE      = file
LEVEL     = Info
ROOT_PATH = /app/gogs/log

[security]
INSTALL_LOCK = true
SECRET_KEY   = JN9dqg8Jpc7RfYc
{% endfilter %}
